package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
  * @author ZhangXianyu
  * @date 2025/2/20
  * @description 角色ip信息参数DTO
 */
@Data
public class RoleIpInfoParamDTO extends BasePage {

   @ApiModelProperty(value = "玩家id")
   private Long userId;

   @ApiModelProperty(value = "玩家名称")
   private String userName;

   @ApiModelProperty(value = "游戏角色id")
   private String roleId;

   @ApiModelProperty(value = "角色名称")
   private String roleName;

   @ApiModelProperty(value = "游戏id")
   private List<Long> gameId;

   @ApiModelProperty(value = "游戏名称")
   private String gameName;

   @ApiModelProperty(value = "区服id")
   private List<String> serverId;

   @ApiModelProperty(value = "区服名称")
   private String serverName;

   @ApiModelProperty(value = "角色创建时间最小值")
   private LocalDate createTimeMin;

   @ApiModelProperty(value = "角色创建时间最大值")
   private LocalDate createTimeMax;

   @ApiModelProperty(value = "角色等级最小值")
   private Long roleLevelMin;

   @ApiModelProperty(value = "角色等级最大值")
   private Long roleLevelMax;

   @ApiModelProperty(value = "角色注册IP")
   private String regIp;

   @ApiModelProperty(notes = "排序字段")
   private String sortFiled;

   @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
   private String sortType;

}
