package com.zanxiang.game.module.sdk;

import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Configuration;
import org.springframework.retry.annotation.EnableRetry;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author : lingfeng
 * @time : 2022-11-25
 * @description : 启动类
 */
@Slf4j
@EnableDiscoveryClient
@SpringBootApplication
@Configuration
@EnableDubbo
@EnableScheduling
@EnableRetry(proxyTargetClass = true)
public class SDKApplication {

    public static void main(String[] args) {
        SpringApplication.run(SDKApplication.class, args);
        System.out.println("赞象SDK服务启动成功 <角色绑定手机号, 判断是否重复操作01> ( ´･･)ﾉ(._.`) \n" +
                " ___________ _   __\n" +
                "/  ___|  _  \\ | / /\n" +
                "\\ `--.| | | | |/ / \n" +
                " `--. \\ | | |    \\ \n" +
                "/\\__/ / |/ /| |\\  \\\n" +
                "\\____/|___/ \\_| \\_/\n");
    }

}
